# TdApi.ThemeParameters (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ThemeParameters

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ThemeParameters

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ThemeParameters

Enclosing class:
  TdApi

public static final class TdApi.ThemeParameters extends TdApi.Object
Contains parameters of the application theme.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`backgroundColor`
A color of the background in the RGB24 format.
`int`
`buttonColor`
A color of the buttons in the RGB24 format.
`int`
`buttonTextColor`
A color of text on the buttons in the RGB24 format.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`hintColor`
A color of hints in the RGB24 format.
`int`
`linkColor`
A color of links in the RGB24 format.
`int`
`secondaryBackgroundColor`
A secondary color for the background in the RGB24 format.
`int`
`textColor`
A color of text in the RGB24 format.

## Constructor Summary

Constructors
Constructor
Description
`ThemeParameters()`
Contains parameters of the application theme.
`ThemeParameters(int backgroundColor, int secondaryBackgroundColor, int textColor, int hintColor, int linkColor, int buttonColor, int buttonTextColor)`
Contains parameters of the application theme.
`ThemeParameters(DataInput input)`
Contains parameters of the application theme.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### backgroundColor

public int backgroundColor
A color of the background in the RGB24 format.

### secondaryBackgroundColor

public int secondaryBackgroundColor
A secondary color for the background in the RGB24 format.

### textColor

public int textColor
A color of text in the RGB24 format.

### hintColor

public int hintColor
A color of hints in the RGB24 format.

### linkColor

public int linkColor
A color of links in the RGB24 format.

### buttonColor

public int buttonColor
A color of the buttons in the RGB24 format.

### buttonTextColor

public int buttonTextColor
A color of text on the buttons in the RGB24 format.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ThemeParameters

public ThemeParameters()
Contains parameters of the application theme.

### ThemeParameters

public ThemeParameters(int backgroundColor, int secondaryBackgroundColor, int textColor, int hintColor, int linkColor, int buttonColor, int buttonTextColor)
Contains parameters of the application theme.

Parameters:
  `backgroundColor` - A color of the background in the RGB24 format.
  `secondaryBackgroundColor` - A secondary color for the background in the RGB24 format.
  `textColor` - A color of text in the RGB24 format.
  `hintColor` - A color of hints in the RGB24 format.
  `linkColor` - A color of links in the RGB24 format.
  `buttonColor` - A color of the buttons in the RGB24 format.
  `buttonTextColor` - A color of text on the buttons in the RGB24 format.

### ThemeParameters

public ThemeParameters(DataInput input) throws IOException
Contains parameters of the application theme.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`